[gimp/wip/Jehan/native-win64-build] gitlab-ci: testing native Windows build.
- From: Jehan <jehanp src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gimp/wip/Jehan/native-win64-build] gitlab-ci: testing native Windows build.
- Date: Sun, 2 May 2021 13:44:26 +0000 (UTC)
commit a11f020b8e53b0c4d230afad79567ca0ec14df17
Author: Jehan <jehan girinstud io>
Date: Sun May 2 15:43:25 2021 +0200
gitlab-ci: testing native Windows build.
Just an initial test to get a hang of the thing, mostly copied from GTK
gitlab-ci rules.
.gitlab-ci.yml | 11 +++++++++++
build/windows/build-msys2.sh | 45 ++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 6e2863e4c3..809a80bc53 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -186,6 +186,17 @@ gimp-clang-debian:
## WINDOWS 64-bit CI ##
+deps-native-win64:
+ variables:
+ MSYSTEM: "MINGW64"
+ CHERE_INVOKING: "yes"
+ stage: dependencies
+ tags:
+ - win32-ps
+ script:
+ - C:\msys64\usr\bin\pacman --noconfirm -Syyuu
+ - C:\msys64\usr\bin\bash -lc "bash -x ./build/windows/build-msys2.sh"
+
deps-win64:
rules:
- if: '$CI_COMMIT_TAG == null'
diff --git a/build/windows/build-msys2.sh b/build/windows/build-msys2.sh
new file mode 100644
index 0000000000..9645c9bf7b
--- /dev/null
+++ b/build/windows/build-msys2.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+set -e
+
+if [[ "$MSYSTEM" == "MINGW32" ]]; then
+ export MSYS2_ARCH="i686"
+else
+ export MSYS2_ARCH="x86_64"
+fi
+
+# Update everything
+pacman --noconfirm -Suy
+
+# Install the required packages
+pacman --noconfirm -S --needed \
+ base-devel \
+ mingw-w64-$MSYS2_ARCH-toolchain \
+ mingw-w64-$MSYS2_ARCH-ccache \
+ mingw-w64-$MSYS2_ARCH-pkg-config \
+ mingw-w64-$MSYS2_ARCH-gobject-introspection \
+ mingw-w64-$MSYS2_ARCH-adwaita-icon-theme \
+ mingw-w64-$MSYS2_ARCH-atk \
+ mingw-w64-$MSYS2_ARCH-cairo \
+ mingw-w64-$MSYS2_ARCH-gdk-pixbuf2 \
+ mingw-w64-$MSYS2_ARCH-glib2 \
+ mingw-w64-$MSYS2_ARCH-json-glib \
+ mingw-w64-$MSYS2_ARCH-libepoxy \
+ mingw-w64-$MSYS2_ARCH-pango \
+ mingw-w64-$MSYS2_ARCH-shared-mime-info \
+ mingw-w64-$MSYS2_ARCH-gtk-doc \
+ mingw-w64-$MSYS2_ARCH-gtk3
+
+mkdir -p _ccache
+export CCACHE_BASEDIR="$(pwd)"
+export CCACHE_DIR="${CCACHE_BASEDIR}/_ccache"
+export CC="ccache gcc"
+
+# Build
+ccache --zero-stats
+ccache --show-stats
+
+./autogen.sh
+make -j4
+
+ccache --show-stats
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]